I was trying to install an ATI catalyst driver on my Dell Precision M4700. I received the following error: /lib/modules/3.8.0-33-generic/build/include/linux/version.h cannot be found on this system.

The error is true; the file doesn't exist. 

Here is the solution.
Create a symbolic link, not in the directory as mentioned above, because the /build/ directory is a symbolic link!

So, enter:

cd /usr/src/linux-headers-3.8.0-33-generic/include/linux

and then create the link

sudo ln -s /lib/modules/3.8.0-33-generic/build/include/generated/uapi/linux/version.h version.h

NB. It's obvious that you replace 3.8.0-33-generic with your linux header!

That's it.

Sadly enough the installation of the Catalyst driver still isn't successful, in my case. To be continued... (I guess)

Joomla templates by a4joomla